package m05bAmortizacionesEJB;

import java.rmi.RemoteException;
import javax.ejb.*;
import m05bBD.m05bAmortizaciones;

/**
 * This is the Remote Interface for the Entity EJB <tt>M05AmortizacionesEB</tt>.
 *
 * @see     m05.exe.Amortizaciones
 * @see     m05.exe.M05AmortizacionesEBHome
 * @see     m05.exe.M05AmortizacionesEBPK
 * @see     m05.exe.M05AmortizacionesEBBean
 */

public interface m05Amortizaciones extends EJBObject{


  public String getAmo_codigo()throws RemoteException;
  public void setAmo_codigo(String n)throws RemoteException;

  public String getAmo_matricula()throws RemoteException;
  public void setAmo_matricula(String n)throws RemoteException;

  public String getAmo_fecha()throws RemoteException;
  public void setAmo_fecha(String n)throws RemoteException;

  public String getAmo_rango()throws RemoteException;
  public void setAmo_rango(String n)throws RemoteException;

  public String getAmo_importe()throws RemoteException;
  public void setAmo_importe(String n)throws RemoteException;

  public String getAmo_amortiz()throws RemoteException;
  public void setAmo_amortiz(String n)throws RemoteException;


  /**
   * Returns the Asignacion information of this E-EJB.
   */
  public m05bAmortizaciones getAmortizaciones()
    throws RemoteException;


}
